Subject: bug#5855: 23.1.95; OS X file drag-and-drop inserts into current buffer

From: Jan Djärv <[email-masked]>
Date: Wed, 22 Feb 2012 12:01:24 +0100

Hello.

I think the default should match other platforms. If nobody objects, I plan to change this in 24.2.

    Jan D. 

22 feb 2012 kl. 09:06 skrev Glenn Morris <[email-masked]>:

> Robin Dunn wrote:
> 
>> When dragging a text file from Finder and dropping in an Emacs window
>> the contents of the file are inserted into the current buffer near the
>> drop point instead of making a new buffer for the file.
> 
> Sorry for the very slow reply. I happened to just now read in the Mac OS
> section of the Emacs manual:
> 
>  The default behavior when a user drags files from another application
>  into an Emacs frame is to insert the contents of all the dragged files
>  into the current buffer.  To remap the `ns-drag-file' event to open the
>  dragged files in the current frame use the following line:
> 
>     (define-key global-map [ns-drag-file] 'ns-find-file)
> 
> I don't know if it works, or if it should be the default.
> 
>